Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionNineteenToVersionTwentyUpgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
          com.atlassian.bamboo.upgrader.VersionNineteenToVersionTwentyUpgrader

All Implemented Interfaces:
  Upgrader

    public class VersionNineteenToVersionTwentyUpgrader

extends AbstractBuildUpgrader

Replaces the Builder paths with labels.

Nested Class Summary
`class` | `VersionNineteenToVersionTwentyUpgrader.CustomAntBuilder`
`class` | `VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder`
`class` | `VersionNineteenToVersionTwentyUpgrader.MyOldSvnRepository`
`class` | `VersionNineteenToVersionTwentyUpgrader.MyOriginalBuild`
`class` | `VersionNineteenToVersionTwentyUpgrader.OriginalConfig`

Constructor Summary
`VersionNineteenToVersionTwentyUpgrader(File configurationDirectory, File buildDirectory)` Initialise the upgrader with the location of the configuration files and webapp root directory

Method Summary
`AbstractXStreamPersister` | `getXStreamPersister()`
`protected void` | `updateBuildFile(File buildFile)`
`void` | `upgrade()` Updgrade the build and configuration files one version

Methods inherited from class com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
`getBuildDirectory, readInTheBuildFile, readInTheBuildFile, saveBuildBackToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionNineteenToVersionTwentyUpgrader

    public VersionNineteenToVersionTwentyUpgrader(File configurationDirectory,
                                                  File buildDirectory)

  Initialise the upgrader with the location of the configuration files and webapp root directory

  Parameters:
    `configurationDirectory` - The location of the configuration files
    `buildDirectory` - The location of the Bamboo build files

Method Detail

### upgrade

    public void upgrade()

  Description copied from class: `AbstractBuildUpgrader`
  Updgrade the build and configuration files one version

  Specified by:
    `upgrade` in interface `Upgrader`
  Overrides:
    `upgrade` in class `AbstractBuildUpgrader`

### updateBuildFile

    protected void updateBuildFile(File buildFile)

  Specified by:
    `updateBuildFile` in class `AbstractBuildUpgrader`

### getXStreamPersister

    public AbstractXStreamPersister getXStreamPersister()

  Overrides:
    `getXStreamPersister` in class `AbstractBuildUpgrader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.